Kwalitee Issues

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: CGI-JSONRPC-0.11/lib/CGI/JSONRPC/Dispatcher/Session.pm -- Around line 80: You forgot a '=back' before '=head1' CGI-JSONRPC-0.11/lib/CGI/JSONRPC/Dispatcher.pm -- Around line 101: You forgot a '=back' before '=head1' CGI-JSONRPC-0.11/lib/CGI/JSONRPC/Obj.pm -- Around line 116: Non-ASCII character seen before =encoding in 'döt'. Assuming UTF-8 CGI-JSONRPC-0.11/lib/CGI/JSONRPC/Session/Obj.pm -- Around line 193: Non-ASCII character seen before =encoding in 'döt'. Assuming UTF-8 CGI-JSONRPC-0.11/lib/CGI/JSONRPC/Session.pm -- Around line 148: Non-ASCII character seen before =encoding in 'döt'. Assuming UTF-8 CGI-JSONRPC-0.11/lib/CGI/JSONRPC.pm -- Around line 136: Non-ASCII character seen before =encoding in 'döt'. Assuming UTF-8

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Apache2::CmdParms
  • Apache2::Directive
  • Apache2::Log
  • Apache2::Module
  • Apache2::RequestIO
  • Apache2::RequestRec

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Apache2::JSONRPC, CGI::JSONRPC::Session

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.02,0.11

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Apache2::JSONRPC, Apache2::JSONRPC::Session, CGI::JSONRPC::Obj, CGI::JSONRPC::Session, CGI::JSONRPC::Session::Obj

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • Apache::TestRequest

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
Apache2::JSONRPC mod_perl handler for JSONRPC 0.02 metacpan
Apache2::JSONRPC::Session Dispatcher class for session aware JSONRPC Objects metacpan
CGI::JSONRPC CGI handler for JSONRPC 0.11 metacpan
CGI::JSONRPC::Base metacpan
CGI::JSONRPC::Dispatcher Dispatch JSONRPC requests to objects metacpan
CGI::JSONRPC::Dispatcher::Session metacpan
CGI::JSONRPC::Obj Base class for easy handler creation metacpan
CGI::JSONRPC::Session Persistant CGI handler for JSONRPC metacpan
CGI::JSONRPC::Session::Obj Base class for easy handler creation metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan